#
# spec file for package perl-GD (Version 1.33)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype2 freetype2-devel gd gd-devel libjpeg libpng libz xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 freetype2-devel gawk gcc gd gd-devel gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         perl-GD
Copyright:    GPL/Artistic License
Group:        Development/Libraries/Perl
Provides:     GD
Autoreqprov:  on
Version:      1.33
Release:      42
URL:          http://stein.cshl.org/WWW/software/GD/
Summary:      Interface to Thomas Boutell's gd library
Source:       GD-%{version}.tar.bz2
Patch:        GD-%{version}.diff
BuildRoot:    %{_tmppath}/%{name}-build

%description
This is an autoloadable interface module for libgd, a popular library
for creating and manipulating PNG files.  With this library you can
create PNG images on the fly or modify existing files.
This version of GD no longer supports GIF output because of threats from
the legal department at Unisys.  Source code that calls $image->gif will
have to be changed to call either $image->jpg or $image->png to output
in JPEG or PNG formats. The last version of GD that supported GIF output
was version 1.19.

Authors:
--------
    Lincoln Stein <lstein@w3.org>

SuSE series: perl

%prep
%setup -n GD-%{version}
%patch
for ii in `find . -type f`; do
    grep "/local/" $ii >/dev/null && \
	cat $ii | sed -e "s@/local/@/@g" $ii > tmp && \
	    mv tmp $ii
done

%build
perl Makefile.PL
make
make html
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-GD
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/GD
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
/var/adm/perl-modules/perl-GD
%doc ChangeLog GD.html MANIFEST README* demos
%{perl_sitearch}/auto/GD
%{perl_sitearch}/*.pl
%{perl_sitearch}/*.pm
%{_mandir}/man?/*

%changelog -n perl-GD
* Tue Sep 04 2001 - rvasice@suse.cz
- fix Group tag to Development/Libraries/Perl
* Wed Aug 22 2001 - rvasice@suse.cz
- update to version 1.33
- spec file cleanup
* Sun Aug 12 2001 - kukuk@suse.de
- Fix path to perl interpreter
* Sat Apr 28 2001 - ro@suse.de
- removed Requires and Obsoletes: gd (we have a package of that name)
* Thu Mar 22 2001 - ro@suse.de
- use freetype2 with updated gd
- update to 1.32
* Thu Nov 16 2000 - pblaha@suse.cz
- fix problem with #include <gd.h>
- and now requires gd
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild gdlib -> gd gd-devel
* Wed Nov 08 2000 - pblaha@suse.cz
- rename to perl-GD
* Wed Oct 04 2000 - pblaha@suse.cz
- updated to new version 1.30
* Wed Aug 23 2000 - ro@suse.de
- fixed perl path
* Mon Jul 17 2000 - nadvornik@suse.cz
- fixed neededforbuild
* Wed Jul 12 2000 - bubnikv@suse.cz
- substitued /usr/local/bin/perl by /usr/bin/perl in some scripts
* Fri Jun 02 2000 - nadvornik@suse.cz
- fixed /var/adm/perl-modules/gd
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Fri May 12 2000 - nadvornik@suse.cz
- update to 1.27
- added BuildRoot
* Thu Jan 20 2000 - aj@suse.de
- /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Jul 11 1999 - ro@suse.de
- fixed perl-path
* Tue Jun 15 1999 - ro@suse.de
- update to 1.19
* Wed Mar 17 1999 - ro@suse.de
- remove .orig with -f
* Thu Mar 04 1999 - ro@suse.de
- filelist: use wildcard for arch in perl-path
* Wed Nov 18 1998 - ro@suse.de
- adjust paths for perl 5.00502
* Thu Sep 24 1998 - ro@suse.de
- respect perl-versions in spec-file-list
* Fri Aug 21 1998 - ro@suse.de
- remove .origs in demos-dir
* Sun Jul 26 1998 - bs@suse.de
- fixed pathes in perl scripts.
* Tue Feb 10 1998 - bs@suse.de
- fixed Check for man pages
* Tue Jan 13 1998 - bb@suse.de
  THE LATEST VERSION IS 1.15
  WHAT'S NEW IN 1.15
- Patches from Ulrich Pfeifer to allow to compile
  correctly with FastCGI
- Patches from Douglas Wegscheid to avoid multiple defined
  symbol problems under NetBSD
- Patches from Weinfriend Koenig to fix problems in filled polygons,
  plus new routines for scaling, translating and rotating polygons.
